Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# bson_concat()

## Synopsis

    bool
    bson_concat (bson_t *dst, const bson_t *src);

## Parameters

- `dst`: A bson_t.

- `src`: A bson_t.

## Description

The bson_concat() function shall append the contents of `src` to `dst`.

## Returns

Returns `true` if successful; `false` if the operation would overflow the maximum document size or another invalid state is detected.

See also

bson_concat()
bson_init()
bson_init_from_json()
bson_init_static()
bson_new()
bson_new_from_buffer()
bson_new_from_data()
bson_new_from_json()
bson_reinit()
bson_reserve_buffer()
bson_sized_new()